Name:           elfelli
Version:        0.3.1
Release:        19%{?dist}
Summary:        A visualisation tool for flux lines

License:        GPLv2+
URL:            http://home.gna.org/elfelli/
Source0:        http://download.gna.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gtkmm24-devel
BuildRequires:  expat-devel
BuildRequires:  scons
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       hicolor-icon-theme

%description
A tool to calculate and visualize electric flux lines around charged
bodies.

%prep
%setup -q

%build
scons %{?_smp_mflags} prefix=%{_prefix} ccflags="%{optflags}"

%install
scons install destdir=%{buildroot} 
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING README 
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.1-14
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jan 05 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-11
- Update spec file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for c++ ABI breakage

* Sun Jan 08 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-6
- Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.1-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jun 27 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-3
- Fixed broken update path

* Sun Jun 27 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-2
- Added missing BR

* Sun Jun 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Updated to new upstream version 0.3.1
- Fixed BZ#565157  

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-2.rc1
- Icon cache updates

* Mon Jul 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1.rc1
- Added hicolor-icon-theme
- Desktop file and icon are now upstream
- Updated to new upstream version 0.3.1-rc1

* Sat May 02 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3-2
- Fixed flags

* Sun Apr 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3-1
- Initial package for Fedora
